package model

import "encoding/json"

type SiteID string
type Site struct {
	ID        SiteID   `json:"siteId"`
	Name      string   `json:"name"`
	TagIDs    []string `json:"tagIds"`
	Region    string   `json:"region"`
	TimeZone  string   `json:"timeZone"`
	Scenario  string   `json:"scenario"`
	Longitude float64  `json:"longitude"`
	Latitude  float64  `json:"latitude"`
	Address   string   `json:"address"`
	Type      int      `json:"type,omitempty"`
}

func (s Site) String() string {
	data, _ := json.MarshalIndent(s, "", "\t")
	return string(data)
}
